package org.rcisoft.common.util.feignDto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class HaveJurisdictionReqDTO {

    @NotNull
    private String corpId;

    @NotNull
    private List<String> userIds;

    @NotNull
    private String appId;

    public HaveJurisdictionReqDTO(String corpId,List<String> userIds){
        this.corpId = corpId;
        this.userIds = userIds;
    }
}